> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ticket Feedback

> List feedback items across tickets for a team. Only includes feedback that has been responded to.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/ticket-feedback
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/ticket-feedback:
    get:
      tags:
        - Ticket API
      summary: List Ticket Feedback
      description: >-
        List feedback items across tickets for a team. Only includes feedback
        that has been responded to.
      operationId: svrelay.publicv2.PublicAPIServiceV2.ListTicketFeedback
      parameters:
        - name: teamId
          in: query
          description: The ID of the team to list feedback for.
          schema:
            type: string
            title: team_id
            description: The ID of the team to list feedback for.
        - name: pageSize
          in: query
          description: >-
            Maximum number of results to return. Default is 5000, maximum is
            5000.
          schema:
            type: integer
            title: page_size
            format: int32
            description: >-
              Maximum number of results to return. Default is 5000, maximum is
              5000.
        - name: pageToken
          in: query
          description: Token for pagination. Leave empty for the first request.
          schema:
            type: string
            title: page_token
            description: Token for pagination. Leave empty for the first request.
        - name: requestedAfter.seconds
          in: query
          description: >-
            Optional. Only include feedback requested at or after this time.
            Unix timestamp in seconds.
          schema:
            type:
              - integer
              - string
            title: seconds
            format: int64
            description: >-
              Optional. Only include feedback requested at or after this time.
              Unix timestamp in seconds.
        - name: includeUnansweredRequests
          in: query
          description: |-
            Optional. Include unanswered feedback requests in the results.
             If true, all feedback is returned (both answered and unanswered).
             If false or omitted, only answered feedback is returned.
          schema:
            type: boolean
            title: include_unanswered_requests
            description: |-
              Optional. Include unanswered feedback requests in the results.
               If true, all feedback is returned (both answered and unanswered).
               If false or omitted, only answered feedback is returned.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svhelp.publicapi.ListTicketFeedbackResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.ListTicketFeedbackResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/svhelp.pubapimodels.TicketFeedback'
          title: data
          x-stainless-terraform-configurability: optional
        nextPageToken:
          type: string
          title: next_page_token
          description: >-
            Token for retrieving the next page of results. Empty if no more
            results.
          nullable: true
          x-stainless-terraform-configurability: optional
      title: ListTicketFeedbackResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svhelp.pubapimodels.TicketFeedback:
      type: object
      oneOf:
        - $ref: '#/components/schemas/svhelp.pubapimodels.TicketFeedback.Detailed'
        - $ref: '#/components/schemas/svhelp.pubapimodels.TicketFeedback.Thumbs'
      title: TicketFeedback
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svhelp.pubapimodels.TicketFeedback.Detailed:
      type: object
      title: Detailed
      properties:
        detailed:
          $ref: '#/components/schemas/svhelp.pubapimodels.DetailedFeedback'
          title: detailed
          description: Detailed feedback with star rating and optional text.
          x-stainless-terraform-configurability: optional
        id:
          type: string
          title: id
          description: The ID of the feedback item.
          readOnly: true
          x-stainless-terraform-configurability: computed
        ticketId:
          type: string
          title: ticket_id
          description: The ID of the ticket this feedback belongs to.
          readOnly: true
          x-stainless-terraform-configurability: computed
        targetUserId:
          type: string
          title: target_user_id
          description: The ID of the user who was asked for feedback.
          readOnly: true
          x-stainless-terraform-configurability: computed
        feedbackSubjectType:
          $ref: '#/components/schemas/svhelp.pubapimodels.FeedbackSubjectType'
          title: feedback_subject_type
          description: Who the feedback is about.
          readOnly: true
          x-stainless-terraform-configurability: computed
        feedbackAboutUserId:
          type: string
          title: feedback_about_user_id
          description: The user ID of who the feedback is about.
          readOnly: true
          x-stainless-terraform-configurability: computed
        requestedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: requested_at
          description: Timestamp when the feedback was requested.
          readOnly: true
          x-stainless-terraform-configurability: computed
        respondedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: responded_at
          description: >-
            Timestamp when the feedback was responded to. Null if not yet
            responded.
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
      required:
        - detailed
      additionalProperties: false
      description: Detailed feedback with star rating and optional text.
    svhelp.pubapimodels.TicketFeedback.Thumbs:
      type: object
      title: Thumbs
      properties:
        thumbs:
          $ref: '#/components/schemas/svhelp.pubapimodels.ThumbsFeedback'
          title: thumbs
          description: Thumbs up/down feedback.
          x-stainless-terraform-configurability: optional
        id:
          type: string
          title: id
          description: The ID of the feedback item.
          readOnly: true
          x-stainless-terraform-configurability: computed
        ticketId:
          type: string
          title: ticket_id
          description: The ID of the ticket this feedback belongs to.
          readOnly: true
          x-stainless-terraform-configurability: computed
        targetUserId:
          type: string
          title: target_user_id
          description: The ID of the user who was asked for feedback.
          readOnly: true
          x-stainless-terraform-configurability: computed
        feedbackSubjectType:
          $ref: '#/components/schemas/svhelp.pubapimodels.FeedbackSubjectType'
          title: feedback_subject_type
          description: Who the feedback is about.
          readOnly: true
          x-stainless-terraform-configurability: computed
        feedbackAboutUserId:
          type: string
          title: feedback_about_user_id
          description: The user ID of who the feedback is about.
          readOnly: true
          x-stainless-terraform-configurability: computed
        requestedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: requested_at
          description: Timestamp when the feedback was requested.
          readOnly: true
          x-stainless-terraform-configurability: computed
        respondedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: responded_at
          description: >-
            Timestamp when the feedback was responded to. Null if not yet
            responded.
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
      required:
        - thumbs
      additionalProperties: false
      description: Thumbs up/down feedback.
    svhelp.pubapimodels.DetailedFeedback:
      type: object
      properties:
        starRating:
          type: integer
          title: star_rating
          format: int32
          description: 1-5 star rating.
          x-stainless-terraform-configurability: optional
        textFeedback:
          type: string
          title: text_feedback
          description: Optional free-form text feedback.
          nullable: true
          x-stainless-terraform-configurability: optional
      title: DetailedFeedback
      additionalProperties: false
    svhelp.pubapimodels.FeedbackSubjectType:
      type: string
      title: FeedbackSubjectType
      enum:
        - FEEDBACK_SUBJECT_TYPE_UNSPECIFIED
        - FEEDBACK_SUBJECT_TYPE_SERVAL
        - FEEDBACK_SUBJECT_TYPE_AGENT
    google.protobuf.Timestamp:
      type: string
      format: date-time
      description: A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
    svhelp.pubapimodels.ThumbsFeedback:
      type: object
      properties:
        isPositive:
          type: boolean
          title: is_positive
          description: True = positive, false = negative.
          x-stainless-terraform-configurability: computed_optional
      title: ThumbsFeedback
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````